Prefix lookup

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Introduction

Prefix resolving API's are allowing you to discover information about a provided number.

By using the prefix resolving API's you make sure that the number you are querying is valid, along with information related to the number itself, such as country and the network to which it belongs.

Example response

[
  {
    "country": {
      "alpha2": "GB",
      "code": "234",
      "name": "United Kingdom",
      "prefix": "44"
    },
    "date": "2023-02-19T10:04:18.934Z",
    "msisdn": "447916123456",
    "network": {
      "code": "20",
      "name": "MNO - Three UK",
      "type": "Mobile"
    },
    "price": 0.0001,
    "response": 0
  }
]

Each response contains the following information:

  • date - time when the request was executed (ISO8601)
  • msisdn - the number for which the response has been returned
  • country
    • name - Country name
    • code - Mobile country code (learn more)
    • prefix - Country calling prefix
    • alpha2 - Alpha2 Country code (learn more)
  • network
    • name - Network name
    • code - Mobile network code (learn more)
    • type - Type of the number (Mobile, Landline)
  • price - The price for this request
  • response - The response indicating the success or failure (see below)

Response values

ValueDescriptionAction
0Success✈️
1General errorRepeating the request won't yield different result
2Pricing not set

Contact

[email protected]

3Out of balance

Contact

[email protected]

4Throttled

Contact

[email protected]

5Invalid numberNumber length not valid
6Not resolvedNumber cannot be resolved due to missing coverage
7TimeoutNumber cannot be resolved due to timeout
8Missing permissions

Contact

[email protected]

Body Params
msisdn
array of strings
required
Defaults to 491734567890
msisdn*
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json